# For the Bonus challenge: DO NOT EDIT THIS FILE
# Treat your solution as though it needs to
# preserve backwards compatibility with the
# behaviors described here.
from tycoon.v1 import last_delivery_time

import pytest


class TestLastDeliveryTime:
    @pytest.mark.parametrize(
        "expected_time, schedule",
        [
            (5, "A"),
            (13, "AA"),
            (13, "AAB"),
            (5, "AB"),
            (13, "ABA"),
            (7, "ABB"),
            (5, "BB"),
            (15, "BBA"),
            (23, "BBAA"),
            (29, "AABABBAB"),
            (41, "ABBBABAAABBB"),
        ],
    )
    def test_schedule_again(self, expected_time, schedule):
        assert expected_time == last_delivery_time(schedule)
